Blog

Archive for septiembre, 2016

KB 22092016-001 : Corrigiendo el error: The requested URL /cgi-bin/php-fastcgi-wrapper/index.php was not found on this server.

Síntomas

Si estás obteniendo el siguiente error cuando accede a un sitio web creado con el panel Core-Admin o algo similar:

The requested URL /cgi-bin/php-fastcgi-wrapper/index.php was not found on this server.

Entonces es posible que haya creado un sitio web con las configuraciones personalizadas que haya importado ajustes de motor php de otro sitio o simplemente el directorio sitio.com/bin se perdió.

Revisiones afectadas

Todas las revisiones pueden sufrir este problema. No es un fallo, sino una configuración personalizada defectuosa.

Antecedentes

El problema es causado porque de algún modo, core-admin no pudo crear todas las estructuras necesarias para el motor para que este sitio corra con un motor distinto.

Solución

Para resolver esto, siga los siguientes pasos:

  1. Deshabilite las configuraciones personalizadas y deje que Core-Admin controle la configuración apache2 del site.conf. Para ello, vaya a la herramienta de gestión de alojamientos, luego pinche en “Configuarciones personalizadas”, encuentre ahí el sitio afectado, copie en un documento temporal sus configuraciones personalizadas (para restaurarlas después) y deshabilite la configuarción personalizada.
  2. Después de eso, seleccione el motor php correcto que quiera dentro de la sección “Motores PHP”.
  3. Después de eso, active de nuevo las configuraciones personalizadas (si es necesario) y restaure los ajustes personalizados.

Posted in: Apache2, Core-Admin Web Edition, PHP

Leave a Comment (0) →

Configurando Let’s encrypt para el certificado del panel Core-Admin

Configurando Let’s encrypt para el certificado del panel Core-Admin

La siguiente guía rápida le proporcionará claves sobre cómo configurar el certificado Let’s encrypt para su panel de administración web de Core-Admin. Es decir, el certificado usado por el panel para proteger las comunicaciones entre su navegador y el servidor de Core-Admin.

Estas indicaciones dependerán del estado actual de su instalación de Core-Admin y de sus preferencias de cómo configurarlo: si desde la consola o desde el propio panel.

Con un servidor de Core-Admin funcionando: actualizar el certificado a Let’s encrypt

Si tiene un Core-Admin funcionando, con acceso web, puede instalar la herramienta de gestión Let’s encrypt y luego usar la opción específica para configurar el certificado let’s encrypt para su servidor local. Esto sería del del siguiente modo:

Después de que haya instalado la herramienta (o ya la tenga instalada), ábrala y siga los siguientes pasos:

Gestión Let's encrypt -> Acciones -> Certificado para el servidor Core-Admin  (y siga las instrucciones)

Con un servidor de Core-Admin funcionando con la herramienta let’s encrypt desplegada: comando de consola

En el caso de que ya tenga Core-Admin con el Let’s encrypt desplegado, puede usar el siguiente comando para solicitar, instalar y configurar el certificado Let’s encrypt para su servidor de Core-Admin:

>> crad-lets-encrypt.pyc -s <su-direccion-de-contacto>

Configurando el certificado Let’s encrypt justo al terminar la instalación de Core-Admin, usando el core-admin-installer.py

Justo después de instalar core-admin, puede usar el siguiente comando para dejarlo todo configurando con let’s encrypt::

>> cd /root
>> wget http://www.core-admin.com/downloads/core-admin-installer.py
>> chmod +x core-admin-installer.py
>> ./core-admin-installer.py --core-admin-le-cert=<su-direccion-de-contacto>

La diferencia entre este comando y crad-lets-encrypt.pyc es que el último sólo está disponible cuando ya tiene instalado la herramienta de gestión Let’s encrypt para core-admin. En caso contrario, crad-lets-encrypt.pyc no estará disponible.

Posted in: Administration, Certificados, Core-Admin, Let's Encrypt, Seguridad, SSL/TLS

Leave a Comment (0) →